[Pkg-mono-svn-commits] rev 333 - in mono/trunk/debian: . patches

Eduard Bloch blade@quantz.debian.org
Tue, 24 Feb 2004 18:45:09 +0100


Author: blade
Date: 2004-02-24 18:45:09 +0100 (Tue, 24 Feb 2004)
New Revision: 333

Added:
   mono/trunk/debian/patches/
   mono/trunk/debian/patches/00list
   mono/trunk/debian/patches/01_arch_fallback.dpatch
Modified:
   mono/trunk/debian/control
   mono/trunk/debian/rules
Log:
Added a patch for configure.in to use non-supported architectures
(using dpathc, build-dep added)


Modified: mono/trunk/debian/control
===================================================================
--- mono/trunk/debian/control	2004-02-24 17:19:09 UTC (rev 332)
+++ mono/trunk/debian/control	2004-02-24 17:45:09 UTC (rev 333)
@@ -4,7 +4,7 @@
 Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
 Uploaders: Eduard Bloch <blade@debian.org>, Teófilo Ruiz Suárez <teo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>> 3.0.0), libglib2.0-dev, bison, automake1.7 | automake, libtool
+Build-Depends: debhelper (>> 3.0.0), libglib2.0-dev, bison, automake1.7 | automake, libtool, dpatch
 Build-Conflicts: libmint-dev
 
 Package: mono-common

Added: mono/trunk/debian/patches/00list
===================================================================
--- mono/trunk/debian/patches/00list	2004-02-24 17:19:09 UTC (rev 332)
+++ mono/trunk/debian/patches/00list	2004-02-24 17:45:09 UTC (rev 333)
@@ -0,0 +1 @@
+01_arch_fallback

Added: mono/trunk/debian/patches/01_arch_fallback.dpatch
===================================================================
--- mono/trunk/debian/patches/01_arch_fallback.dpatch	2004-02-24 17:19:09 UTC (rev 332)
+++ mono/trunk/debian/patches/01_arch_fallback.dpatch	2004-02-24 17:45:09 UTC (rev 333)
@@ -0,0 +1,40 @@
+#! /bin/sh -e
+## 01_arch_fallback.dpatch by Eduard Bloch <blade@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Using dpkg-architecture output to declare names of unsupported arches
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/inet/debian/dev/build-area/mono-0.30.1/configure.in mono-0.30.1/configure.in
+--- /home/inet/debian/dev/build-area/mono-0.30.1/configure.in	2004-02-13 02:24:03.000000000 +0100
++++ mono-0.30.1/configure.in	2004-02-24 18:32:35.000000000 +0100
+@@ -845,6 +845,11 @@
+ 		arch_target=s390;
+ 		ACCESS_UNALIGNED="no"
+ 		;;
++  *)
++    arch_target=`dpkg-architecture -qDEB_HOST_ARCH`
++    TARGET=`echo $arch_target | tr a-z A-Z`
++    ACCESS_UNALIGNED="no"
++    ;;
+ esac
+ 
+ if test ${TARGET} = ARM; then


Property changes on: mono/trunk/debian/patches/01_arch_fallback.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: mono/trunk/debian/rules
===================================================================
--- mono/trunk/debian/rules	2004-02-24 17:19:09 UTC (rev 332)
+++ mono/trunk/debian/rules	2004-02-24 17:45:09 UTC (rev 333)
@@ -3,6 +3,8 @@
 #export DH_VERBOSE=1
 export DH_COMPAT=3
 
+include /usr/share/dpatch/dpatch.make
+
 # Use ./configure if configure exists, ./autogen.sh if not.
 # If neither exist, exit with an error.
 CONFCMD:=$(shell test -x configure && echo "configure" || echo "")
@@ -13,7 +15,7 @@
 
 VERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2)
 
-build: build-stamp
+build: patch build-stamp
 build-stamp:
 	dh_testdir
 	# refresh autotools crap
@@ -28,7 +30,7 @@
 	$(CC) -o cli-wrapper debian/cli-wrapper.c `pkg-config glib-2.0 --cflags --libs`
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp